Upstash Documentation

Retry a DLQ message

Retry delivery of a message from the DLQ
1 min read
post/v2/dlq/retry/{dlqId}
Request example
Response
post/v2/dlq/retry/{dlqId}

When a DLQ message is retried, a new message with the same body and headers is created and scheduled for delivery. The original DLQ message is then removed from the DLQ.

Note

You can pass all configuration headers to override the configuration of the original message.

For example, if the retry count of the original message is 5, you can set it to 0 for the retried message by passing Upstash-Retries: 0 header to this request. Check out publish documentation for complete list of configuration options you can pass.

Authorization

Authorizationstringheaderrequired#
QStash authentication token

1 alternative authorization method available — see the spec for details.

Path parameters

dlqIdstringrequired#
The DLQ ID of the message you want to retry.

Responses

application/json
Message retry initiated successfully
messageIdstring#
Unique identifier for the published message or the old message ID if deduplicated
deduplicatedboolean#
Whether this message is a duplicate and was not sent to the destination.